Package ghidra.graph.viewer.layout

# Class LayoutPositions<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
ghidra.graph.viewer.layout.LayoutPositions<V,E>

public class LayoutPositions<V extends VisualVertex,E extends VisualEdge<V>> extends Object
Simple container class to hold vertex locations (points) and edge articulation locations (points). The only complicated code in this class is the use of transformers to create copies of the given points as they are accessed so that the original points remain unmodified.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static <V extends VisualVertex, E extends VisualEdge<V>>
  LayoutPositions<V,E>`
  `createEmptyPositions()`
  `static <V extends VisualVertex, E extends VisualEdge<V>>
  LayoutPositions<V,E>`
  `createNewPositions(Map<V,Point2D> vertexLocations, Map<E,List<Point2D>> edgeArticulations)`
  `void`
  `dispose()`
  `static <V extends VisualVertex, E extends VisualEdge<V>>
  LayoutPositions<V,E>`
  `getCurrentPositions(VisualGraph<V,E> graph, edu.uci.ics.jung.algorithms.layout.Layout<V,E> graphLayout)`
  `Map<E,List<Point2D>>`
  `getEdgeArticulations()`
  `Map<V,Point2D>`
  `getVertexLocations()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getCurrentPositions

    public static <V extends VisualVertex, E extends VisualEdge<V>> LayoutPositions<V,E> getCurrentPositions(VisualGraph<V,E> graph, edu.uci.ics.jung.algorithms.layout.Layout<V,E> graphLayout)

  - ### createEmptyPositions

    public static <V extends VisualVertex, E extends VisualEdge<V>> LayoutPositions<V,E> createEmptyPositions()

  - ### createNewPositions

    public static <V extends VisualVertex, E extends VisualEdge<V>> LayoutPositions<V,E> createNewPositions(Map<V,Point2D> vertexLocations, Map<E,List<Point2D>> edgeArticulations)

  - ### getVertexLocations

    public Map<V,Point2D> getVertexLocations()

  - ### getEdgeArticulations

    public Map<E,List<Point2D>> getEdgeArticulations()

  - ### dispose

    public void dispose()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`